package com.uas.platform.b2b.v2.service;

import com.uas.platform.b2b.model.User;
import com.uas.sso.entity.UserView;

public interface UserService {

	/**
	 * 账户中心同步用户到b2b，只保存用户信息
	 * @param user 用户信息
	 * @return
	 */
	User save(UserView user);

	void changePassword(UserView user, String password);

	/**
	 * 企业添加用户
	 * @param spaceUU
	 * @param userView 用户信息
	 */
	void addUser(Long spaceUU, UserView userView);

	/**
	 * 企业删除用户用户
     * @param spaceUU
     * @param userUU
     */
	void removeUser(Long spaceUU, Long userUU);
}
